/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PARTYPLACETHING_H
#define PARTYPLACETHING_H

/**
 * @stereotype thing 
 */
class PartyPlaceThing {
  public:
    void assessAcrossRoles();

    int getCustomElseDefaultValue();

    int listRoles();

    static int listPPTs();

    static int assessAcrossPPTs();

  private:
    int serialNumber;
    int name;
    int address;
    int customValue;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 1
     */
    Description * lnkUnnamed;
};
#endif //PARTYPLACETHING_H
